/* 핑크테마 */
/* :root {
  --text-color: #6E314A;
  --main-color: #ee2478;
  --sub-color: #ff73ad;
  --background-color: #ffebf4;
  --shadow-color: rgba(238, 36, 119, 0.1);
} */

/* 무난함 */
:root {
  --text-color: #31606e;
  --main-color: #31606e;
  --sub-color: #31606e;
  --background-color: #cddfe64b;
  /* --shadow-color: rgba(36, 238, 211, 0.1); */
  --shadow-color: rgba(0, 0, 0, 0.1);
}
* {
  box-sizing: border-box;
}

.container {
  height: 100%;
  padding: 0 23px;
  font-family: 'Noto Sans KR', sans-serif;
  color: var(--color1);
}
#header {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 90px;
  background-color: #fff;
  z-index: 10;
  box-shadow: 0 0 20px 2px var(--shadow-color);
}
#contents {
  background-color: var(--background-color);
  position: absolute;
  top: 0;
  left: 0;
  height: 100vh;
  width: 100%;
  padding-top: 90px;
  padding-bottom: 60px;
  box-sizing: border-box;
}
#footer {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 60px;
  z-index: 10;
  background-color: #fff;
  box-shadow: 0 0 0 1px var(--shadow-color);
}

.header {
  position: relative;
  height: 100%;
}
.header .logo {
  position: absolute;
  bottom: 15px;
  left: 0;
  color: var(--text-color);
  font-family: 'Righteous', cursive;
}
.header .logo i {
  font-size: 56px;
  vertical-align: middle;
  margin-right: 15px;
  margin-left: 10px;
  color: var(--text-color);
}
.header .logo span {
  font-size: 34px;
  font-weight: 600;
  vertical-align: middle;
}
.header .menu {
  position: absolute;
  bottom: 22px;
  right: 0;
}
.header .menu a {
  float: left;
  font-size: 14px;
  margin-right: 22px;
}
.header .menu a:last-child {
  margin-right: 0;
}
.header .menu a.subscribe {
  height: 42px;
  line-height: 42px;
  padding: 0 16px;
  border-radius: 100px;
  background-color: var(--main-color);
  color: #fff;
  font-weight: 500;
}
.header .menu a.subscribe i {
  margin-right: 10px;
}
.header .menu a.write {
  position: relative;
  width: 42px;
  height: 42px;
  background-color: var(--background-color);
  border-radius: 50%;
}
.header .menu a.write i {
  position: absolute;
  color: var(--main-color);
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}
.header .menu a.settings {
  position: relative;
  width: 42px;
  height: 42px;
  background-color: var(--background-color);
  border-radius: 50%;
}
.header .menu a.settings i {
  position: absolute;
  color: var(--main-color);
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}

.contents {
  height: 100%;
}
.contents .navi {
  float: left;
  padding: 23px 0;
}
.contents .navi .menu {
  padding: 10px;
  background-color: #fff;
  box-shadow: 0 0 20px 2px var(--shadow-color);
  border-radius: 150px;
}
.contents .navi .menu .icon {
  margin-bottom: 13px;
}
.contents .navi .menu .icon:last-child {
  margin-bottom: 0;
}
.contents .navi .menu .icon a {
  position: relative;
  display: inline-block;
  height: 100%;
  width: 100%;
  height: 50px;
  width: 50px;
  border-radius: 50%;
}
.contents .navi .menu .icon a.on {
  background-color: var(--main-color);
}
.contents .navi .menu .icon a i {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: rgba(42, 78, 72, 0.3);
  font-size: 20px;
}
.contents .navi .menu .icon a.on i {
  color: #fff;
}

.contents .main {
  float: left;
  width: 350px;
  padding: 23px 20px;
  height: 100%;
  overflow: auto;
  -ms-overflow-style: none; /* IE and Edge */
  scrollbar-width: none; /* Firefox */
}
.contents .main::-webkit-scrollbar {
  display: none; /* Chrome, Safari, Opera*/
}
.contents .main .git {
  height: 100%;
}
.contents .main .git>div {
  position: relative;
  height: 120px;
  background-color: #fff;
  border-radius: 10px;
  margin-bottom: 18px;
  padding: 20px;
  box-sizing: border-box;
  box-shadow: 0 0 20px 2px var(--shadow-color);
}
.contents .main .git i {
  position: absolute;
  font-size: 28px;
  top: 20px;
  right: 20px;
}
.contents .main .git svg {
  fill: #31606e;
  position: absolute;
  top: 20px;
  right: 20px;
}
.contents .main .git .title {
  display: block;
  font-size: 24px;
  font-weight: 600;
  margin-bottom: 15px;
  line-height: 28px;
}
.contents .main .git .repositories {
  position: absolute;
  left: 20px;
  bottom: 20px;
}
.contents .main .git .github {
  color: var(--sub-color);
}
.contents .main .git .gitlab {
  color: var(--sub-color);
}

.contents .details {
  position: absolute;
  left: 443px;
  top: 90px;
  bottom: 60px;
  right: 0;
  background-color: #fff;
  padding: 23px 20px;
}
.contents .details {}
.contents .details {}
.contents .details {}
.contents .details {}